export declare function sweJulday(year: number, month: number, day: number, hour: number, gregflag: number): number;
export declare function sweDeltat(tjd: number): number;
export declare function sweRevjul(julday: number, gregflag: number): {
    year: number;
    month: number;
    day: number;
    hour: number;
};
export declare function sweUtcTimeZone(iyear: number, imonth: number, iday: number, ihour: number, imin: number, isec: number, timezone: number): {
    year: number;
    month: number;
    day: number;
    hour: number;
    minute: number;
    second: number;
};
export declare function sweUtcToJd(year: number, month: number, day: number, hour: number, min: number, sec: number, gregflag: number): {
    tjdEt: number;
    tjdUt: number;
};
export declare function sweJdetToUtc(tjdEt: number, gregflag: number): {
    year: number;
    month: number;
    day: number;
    hour: number;
    minute: number;
    second: number;
};
export declare function sweJdut1ToUtc(tjdUt: number, gregflag: number): {
    year: number;
    month: number;
    day: number;
    hour: number;
    minute: number;
    second: number;
};
export declare function sweSetTopo(geolon: number, geolat: number, altitude: number): void;
export declare function sweGetPlanetName(ipl: number): string;
export declare function sweCalcUt(tjdUt: number, ipl: number, iflag: number): {
    longitude: number;
    latitude: number;
    distance: number;
    longitudeSpeed: number;
    latitudeSpeed: number;
    distanceSpeed: number;
};
export declare function sweCotrans(longitude: number, latitude: number, distance: number, eps: number): {
    longitude: number;
    latitude: number;
    distance: number;
};
export declare function sweCalc(tjd: number, ipl: number, iflag: number): {
    longitude: number;
    latitude: number;
    distance: number;
    longitudeSpeed: number;
    latitudeSpeed: number;
    distanceSpeed: number;
};
export declare function sweHouses(tjdUt: number, iflag: number, geolat: number, geolon: number, hsys: string): {
    cusp: number[];
    ascmc: number[];
};
export declare function sweHousesArmc(armc: number, geolat: number, eps: number, hsys: string): {
    cusp: number[];
    ascmc: number[];
};
export declare function sweHousePos(armc: number, geolat: number, eps: number, hsys: string): {
    longitude: number;
    latitude: number;
};
export declare function sweSetSidMode(sidMode: number, t0: number, ayanT0: number): void;
export declare function sweGetAyanamsaUt(tjdUt: number): number;
export declare function sweSidtime(tjdUt: number): number;
export declare function sweGetAyanamsa(tjdEt: number): number;
export declare function sweFixstar(star: string, tjd: number, iflag: number): {
    longitude: number;
    latitude: number;
    distance: number;
};
export declare function sweFixstarUt(star: string, tjdUt: number, iflag: number): {
    longitude: number;
    latitude: number;
    distance: number;
};
export declare function sweHeliacalPhenoUt(tjdUt: number, dgeo: number[], datm: number[], dobs: number[], objectName: string, eventType: number, helflag: number): {
    tcAltitude: number;
    tcApparentAltitude: number;
    gcAltitude: number;
    azimuth: number;
    tcSunAltitude: number;
    sunAzimuth: number;
    tcActualVisibleArc: number;
    gcActualVisibleArc: number;
    objectToSunAzimuth: number;
    objectToSunLongitude: number;
    extinction: number;
    tcMinVisibleArc: number;
    firstVisible: number;
    bestVisible: number;
    endVisible: number;
    yallopBestVisible: number;
    moonCresentWidth: number;
    yallopValue: number;
    yallopCriterion: number;
    parallax: number;
    magnitude: number;
    rise: number;
    riseSet: number;
    riseObjectToSun: number;
    visibleDuration: number;
    moonCresetLength: number;
    elong: number;
    illumination: number;
    kOZ: number;
    ka: number;
    ksumm: number;
    error?: string;
};
export declare function sweHeliacalUt(tjdUt: number, dgeo: number[], datm: number[], dobs: number[], objectName: string, eventType: number, helflag: number): {
    error?: boolean;
    errorCode?: number;
    startVisible?: number;
    bestVisible?: number;
    endVisible?: number;
};
export declare function sweVisLimitMag(tjdUt: number, dgeo: number[], datm: number[], dobs: number[], objectName: string, helflag: number): {
    error?: boolean;
    errorCode?: number;
    vissualMagnitudeLimit?: number;
    AltO?: number;
    AziO?: number;
    AltS?: number;
    AziS?: number;
    AltM?: number;
    AziM?: number;
};
export declare function sweNodApsUt(tjdUt: number, ipl: number, iflag: number, method: number): {
    ascending: number[];
    descending: number[];
    perihelion: number[];
    aphelion: number[];
};
export declare function getHarmonyResfilePath(): string;
export declare const Swisseph: {
    SE_JUL_CAL: number;
    SE_GREG_CAL: number;
    SE_ECL_NUT: number;
    SE_SUN: number;
    SE_MOON: number;
    SE_MERCURY: number;
    SE_VENUS: number;
    SE_EARTH: number;
    SE_MARS: number;
    SE_JUPITER: number;
    SE_SATURN: number;
    SE_URANUS: number;
    SE_NEPTUNE: number;
    SE_PLUTO: number;
    SE_MEAN_NODE: number;
    SE_TRUE_NODE: number;
    SE_MEAN_APOG: number;
    SE_OSCU_APOG: number;
    SE_INTP_APOG: number;
    SE_INTP_PERG: number;
    SE_CHIRON: number;
    SE_PHOLUS: number;
    SE_CERES: number;
    SE_PALLAS: number;
    SE_JUNO: number;
    SE_VESTA: number;
    SE_NPLANETS: number;
    SE_AST_OFFSET: number;
    SE_VARUNA: number;
    SE_FICT_OFFSET: number;
    SE_FICT_OFFSET_1: number;
    SE_FICT_MAX: number;
    SE_NFICT_ELEM: number;
    SE_COMET_OFFSET: number;
    SE_NALL_NAT_POINTS: number;
    SE_CUPIDO: number;
    SE_HADES: number;
    SE_ZEUS: number;
    SE_KRONOS: number;
    SE_APOLLON: number;
    SE_ADMETOS: number;
    SE_VULKANUS: number;
    SE_POSEIDON: number;
    SE_ISIS: number;
    SE_NIBIRU: number;
    SE_HARRINGTON: number;
    SE_NEPTUNE_LEVERRIER: number;
    SE_NEPTUNE_ADAMS: number;
    SE_PLUTO_LOWELL: number;
    SE_PLUTO_PICKERING: number;
    SE_VULCAN: number;
    SE_WHITE_MOON: number;
    SE_PROSERPINA: number;
    SE_WALDEMATH: number;
    SE_FIXSTAR: number;
    SE_ASC: number;
    SE_MC: number;
    SE_ARMC: number;
    SE_VERTEX: number;
    SE_EQUASC: number;
    SE_COASC1: number;
    SE_COASC2: number;
    SE_POLASC: number;
    SE_NASCMC: number;
    SEFLG_JPLEPH: number;
    SEFLG_SWIEPH: number;
    SEFLG_MOSEPH: number;
    SEFLG_HELCTR: number;
    SEFLG_TRUEPOS: number;
    SEFLG_J2000: number;
    SEFLG_NONUT: number;
    SEFLG_SPEED3: number;
    SEFLG_SPEED: number;
    SEFLG_NOGDEFL: number;
    SEFLG_NOABERR: number;
    SEFLG_EQUATORIAL: number;
    SEFLG_XYZ: number;
    SEFLG_RADIANS: number;
    SEFLG_BARYCTR: number;
    SEFLG_TOPOCTR: number;
    SEFLG_SIDEREAL: number;
    SEFLG_ICRS: number;
    SE_SIDBITS: number;
    SE_SIDBIT_ECL_T0: number;
    SE_SIDBIT_SSY_PLANE: number;
    SE_SIDM_FAGAN_BRADLEY: number;
    SE_SIDM_LAHIRI: number;
    SE_SIDM_DELUCE: number;
    SE_SIDM_RAMAN: number;
    SE_SIDM_USHASHASHI: number;
    SE_SIDM_KRISHNAMURTI: number;
    SE_SIDM_DJWHAL_KHUL: number;
    SE_SIDM_YUKTESHWAR: number;
    SE_SIDM_JN_BHASIN: number;
    SE_SIDM_BABYL_KUGLER1: number;
    SE_SIDM_BABYL_KUGLER2: number;
    SE_SIDM_BABYL_KUGLER3: number;
    SE_SIDM_BABYL_HUBER: number;
    SE_SIDM_BABYL_ETPSC: number;
    SE_SIDM_ALDEBARAN_15TAU: number;
    SE_SIDM_HIPPARCHOS: number;
    SE_SIDM_SASSANIAN: number;
    SE_SIDM_GALCENT_0SAG: number;
    SE_SIDM_J2000: number;
    SE_SIDM_J1900: number;
    SE_SIDM_B1950: number;
    SE_SIDM_USER: number;
    SE_NSIDM_PREDEF: number;
    SE_NODBIT_MEAN: number;
    SE_NODBIT_OSCU: number;
    SE_NODBIT_OSCU_BAR: number;
    SE_NODBIT_FOPOINT: number;
    SEFLG_DEFAULTEPH: number;
    SE_MAX_STNAME: number;
    SE_ECL_CENTRAL: number;
    SE_ECL_NONCENTRAL: number;
    SE_ECL_TOTAL: number;
    SE_ECL_ANNULAR: number;
    SE_ECL_PARTIAL: number;
    SE_ECL_ANNULAR_TOTAL: number;
    SE_ECL_PENUMBRAL: number;
    SE_ECL_ALLTYPES_SOLAR: number;
    SE_ECL_ALLTYPES_LUNAR: number;
    SE_ECL_VISIBLE: number;
    SE_ECL_MAX_VISIBLE: number;
    SE_ECL_1ST_VISIBLE: number;
    SE_ECL_2ND_VISIBLE: number;
    SE_ECL_3RD_VISIBLE: number;
    SE_ECL_4TH_VISIBLE: number;
    SE_ECL_ONE_TRY: number;
    SE_CALC_RISE: number;
    SE_CALC_SET: number;
    SE_CALC_MTRANSIT: number;
    SE_CALC_ITRANSIT: number;
    SE_BIT_DISC_CENTER: number;
    SE_BIT_DISC_BOTTOM: number;
    SE_BIT_NO_REFRACTION: number;
    SE_BIT_CIVIL_TWILIGHT: number;
    SE_BIT_NAUTIC_TWILIGHT: number;
    SE_BIT_ASTRO_TWILIGHT: number;
    SE_BIT_FIXED_DISC_SIZE: number;
    SE_ECL2HOR: number;
    SE_EQU2HOR: number;
    SE_HOR2ECL: number;
    SE_HOR2EQU: number;
    SE_TRUE_TO_APP: number;
    SE_APP_TO_TRUE: number;
    SE_SPLIT_DEG_ROUND_SEC: number;
    SE_SPLIT_DEG_ROUND_MIN: number;
    SE_SPLIT_DEG_ROUND_DEG: number;
    SE_SPLIT_DEG_ZODIACAL: number;
    SE_SPLIT_DEG_KEEP_SIGN: number;
    SE_SPLIT_DEG_KEEP_DEG: number;
    SE_HELIACAL_RISING: number;
    SE_HELIACAL_SETTING: number;
    SE_MORNING_FIRST: number;
    SE_EVENING_LAST: number;
    SE_EVENING_FIRST: number;
    SE_MORNING_LAST: number;
    SE_ACRONYCHAL_RISING: number;
    SE_ACRONYCHAL_SETTING: number;
    SE_COSMICAL_SETTING: number;
    SE_HELFLAG_LONG_SEARCH: number;
    SE_HELFLAG_HIGH_PRECISION: number;
    SE_HELFLAG_OPTICAL_PARAMS: number;
    SE_HELFLAG_NO_DETAILS: number;
    SE_HELFLAG_SEARCH_1_PERIOD: number;
    SE_HELFLAG_VISLIM_DARK: number;
    SE_HELFLAG_VISLIM_NOMOON: number;
    SE_HELFLAG_VISLIM_PHOTOPIC: number;
    SE_HELFLAG_AVKIND_VR: number;
    SE_HELFLAG_AVKIND_PTO: number;
    SE_HELFLAG_AVKIND_MIN7: number;
    SE_HELFLAG_AVKIND_MIN9: number;
    SE_HELFLAG_AVKIND: number;
    TJD_INVALID: number;
    SIMULATE_VICTORVB: number;
    SE_PHOTOPIC_FLAG: number;
    SE_SCOTOPIC_FLAG: number;
    SE_MIXEDOPIC_FLAG: number;
};
declare const _default: {
    SE_JUL_CAL: number;
    SE_GREG_CAL: number;
    SE_ECL_NUT: number;
    SE_SUN: number;
    SE_MOON: number;
    SE_MERCURY: number;
    SE_VENUS: number;
    SE_EARTH: number;
    SE_MARS: number;
    SE_JUPITER: number;
    SE_SATURN: number;
    SE_URANUS: number;
    SE_NEPTUNE: number;
    SE_PLUTO: number;
    SE_MEAN_NODE: number;
    SE_TRUE_NODE: number;
    SE_MEAN_APOG: number;
    SE_OSCU_APOG: number;
    SE_INTP_APOG: number;
    SE_INTP_PERG: number;
    SE_CHIRON: number;
    SE_PHOLUS: number;
    SE_CERES: number;
    SE_PALLAS: number;
    SE_JUNO: number;
    SE_VESTA: number;
    SE_NPLANETS: number;
    SE_AST_OFFSET: number;
    SE_VARUNA: number;
    SE_FICT_OFFSET: number;
    SE_FICT_OFFSET_1: number;
    SE_FICT_MAX: number;
    SE_NFICT_ELEM: number;
    SE_COMET_OFFSET: number;
    SE_NALL_NAT_POINTS: number;
    SE_CUPIDO: number;
    SE_HADES: number;
    SE_ZEUS: number;
    SE_KRONOS: number;
    SE_APOLLON: number;
    SE_ADMETOS: number;
    SE_VULKANUS: number;
    SE_POSEIDON: number;
    SE_ISIS: number;
    SE_NIBIRU: number;
    SE_HARRINGTON: number;
    SE_NEPTUNE_LEVERRIER: number;
    SE_NEPTUNE_ADAMS: number;
    SE_PLUTO_LOWELL: number;
    SE_PLUTO_PICKERING: number;
    SE_VULCAN: number;
    SE_WHITE_MOON: number;
    SE_PROSERPINA: number;
    SE_WALDEMATH: number;
    SE_FIXSTAR: number;
    SE_ASC: number;
    SE_MC: number;
    SE_ARMC: number;
    SE_VERTEX: number;
    SE_EQUASC: number;
    SE_COASC1: number;
    SE_COASC2: number;
    SE_POLASC: number;
    SE_NASCMC: number;
    SEFLG_JPLEPH: number;
    SEFLG_SWIEPH: number;
    SEFLG_MOSEPH: number;
    SEFLG_HELCTR: number;
    SEFLG_TRUEPOS: number;
    SEFLG_J2000: number;
    SEFLG_NONUT: number;
    SEFLG_SPEED3: number;
    SEFLG_SPEED: number;
    SEFLG_NOGDEFL: number;
    SEFLG_NOABERR: number;
    SEFLG_EQUATORIAL: number;
    SEFLG_XYZ: number;
    SEFLG_RADIANS: number;
    SEFLG_BARYCTR: number;
    SEFLG_TOPOCTR: number;
    SEFLG_SIDEREAL: number;
    SEFLG_ICRS: number;
    SE_SIDBITS: number;
    SE_SIDBIT_ECL_T0: number;
    SE_SIDBIT_SSY_PLANE: number;
    SE_SIDM_FAGAN_BRADLEY: number;
    SE_SIDM_LAHIRI: number;
    SE_SIDM_DELUCE: number;
    SE_SIDM_RAMAN: number;
    SE_SIDM_USHASHASHI: number;
    SE_SIDM_KRISHNAMURTI: number;
    SE_SIDM_DJWHAL_KHUL: number;
    SE_SIDM_YUKTESHWAR: number;
    SE_SIDM_JN_BHASIN: number;
    SE_SIDM_BABYL_KUGLER1: number;
    SE_SIDM_BABYL_KUGLER2: number;
    SE_SIDM_BABYL_KUGLER3: number;
    SE_SIDM_BABYL_HUBER: number;
    SE_SIDM_BABYL_ETPSC: number;
    SE_SIDM_ALDEBARAN_15TAU: number;
    SE_SIDM_HIPPARCHOS: number;
    SE_SIDM_SASSANIAN: number;
    SE_SIDM_GALCENT_0SAG: number;
    SE_SIDM_J2000: number;
    SE_SIDM_J1900: number;
    SE_SIDM_B1950: number;
    SE_SIDM_USER: number;
    SE_NSIDM_PREDEF: number;
    SE_NODBIT_MEAN: number;
    SE_NODBIT_OSCU: number;
    SE_NODBIT_OSCU_BAR: number;
    SE_NODBIT_FOPOINT: number;
    SEFLG_DEFAULTEPH: number;
    SE_MAX_STNAME: number;
    SE_ECL_CENTRAL: number;
    SE_ECL_NONCENTRAL: number;
    SE_ECL_TOTAL: number;
    SE_ECL_ANNULAR: number;
    SE_ECL_PARTIAL: number;
    SE_ECL_ANNULAR_TOTAL: number;
    SE_ECL_PENUMBRAL: number;
    SE_ECL_ALLTYPES_SOLAR: number;
    SE_ECL_ALLTYPES_LUNAR: number;
    SE_ECL_VISIBLE: number;
    SE_ECL_MAX_VISIBLE: number;
    SE_ECL_1ST_VISIBLE: number;
    SE_ECL_2ND_VISIBLE: number;
    SE_ECL_3RD_VISIBLE: number;
    SE_ECL_4TH_VISIBLE: number;
    SE_ECL_ONE_TRY: number;
    SE_CALC_RISE: number;
    SE_CALC_SET: number;
    SE_CALC_MTRANSIT: number;
    SE_CALC_ITRANSIT: number;
    SE_BIT_DISC_CENTER: number;
    SE_BIT_DISC_BOTTOM: number;
    SE_BIT_NO_REFRACTION: number;
    SE_BIT_CIVIL_TWILIGHT: number;
    SE_BIT_NAUTIC_TWILIGHT: number;
    SE_BIT_ASTRO_TWILIGHT: number;
    SE_BIT_FIXED_DISC_SIZE: number;
    SE_ECL2HOR: number;
    SE_EQU2HOR: number;
    SE_HOR2ECL: number;
    SE_HOR2EQU: number;
    SE_TRUE_TO_APP: number;
    SE_APP_TO_TRUE: number;
    SE_SPLIT_DEG_ROUND_SEC: number;
    SE_SPLIT_DEG_ROUND_MIN: number;
    SE_SPLIT_DEG_ROUND_DEG: number;
    SE_SPLIT_DEG_ZODIACAL: number;
    SE_SPLIT_DEG_KEEP_SIGN: number;
    SE_SPLIT_DEG_KEEP_DEG: number;
    SE_HELIACAL_RISING: number;
    SE_HELIACAL_SETTING: number;
    SE_MORNING_FIRST: number;
    SE_EVENING_LAST: number;
    SE_EVENING_FIRST: number;
    SE_MORNING_LAST: number;
    SE_ACRONYCHAL_RISING: number;
    SE_ACRONYCHAL_SETTING: number;
    SE_COSMICAL_SETTING: number;
    SE_HELFLAG_LONG_SEARCH: number;
    SE_HELFLAG_HIGH_PRECISION: number;
    SE_HELFLAG_OPTICAL_PARAMS: number;
    SE_HELFLAG_NO_DETAILS: number;
    SE_HELFLAG_SEARCH_1_PERIOD: number;
    SE_HELFLAG_VISLIM_DARK: number;
    SE_HELFLAG_VISLIM_NOMOON: number;
    SE_HELFLAG_VISLIM_PHOTOPIC: number;
    SE_HELFLAG_AVKIND_VR: number;
    SE_HELFLAG_AVKIND_PTO: number;
    SE_HELFLAG_AVKIND_MIN7: number;
    SE_HELFLAG_AVKIND_MIN9: number;
    SE_HELFLAG_AVKIND: number;
    TJD_INVALID: number;
    SIMULATE_VICTORVB: number;
    SE_PHOTOPIC_FLAG: number;
    SE_SCOTOPIC_FLAG: number;
    SE_MIXEDOPIC_FLAG: number;
    sweJulday: typeof sweJulday;
    sweDeltat: typeof sweDeltat;
    sweRevjul: typeof sweRevjul;
    sweUtcToJd: typeof sweUtcToJd;
    sweUtcTimeZone: typeof sweUtcTimeZone;
    sweJdetToUtc: typeof sweJdetToUtc;
    sweJdut1ToUtc: typeof sweJdut1ToUtc;
    sweSetTopo: typeof sweSetTopo;
    sweGetPlanetName: typeof sweGetPlanetName;
    sweCalcUt: typeof sweCalcUt;
    sweCotrans: typeof sweCotrans;
    sweCalc: typeof sweCalc;
    sweHouses: typeof sweHouses;
    sweHousesArmc: typeof sweHousesArmc;
    sweHousePos: typeof sweHousePos;
    sweSetSidMode: typeof sweSetSidMode;
    sweGetAyanamsaUt: typeof sweGetAyanamsaUt;
    sweSidtime: typeof sweSidtime;
    sweGetAyanamsa: typeof sweGetAyanamsa;
    sweFixstar: typeof sweFixstar;
    sweFixstarUt: typeof sweFixstarUt;
    sweHeliacalPhenoUt: typeof sweHeliacalPhenoUt;
    sweHeliacalUt: typeof sweHeliacalUt;
    sweVisLimitMag: typeof sweVisLimitMag;
    sweNodApsUt: typeof sweNodApsUt;
    getHarmonyResfilePath: typeof getHarmonyResfilePath;
};
export default _default;
//# sourceMappingURL=index.d.ts.map